--[[
]]--

module("luci.controller.app.C51", package.seeall)

function index()
	local page   = node("app", "C51")
	page.target  = firstchild()
	page.title   = _("")
	page.order   = 10
    	page.sysauth = "admin"
      	page.mediaurlbase = "/turbo-static/turbo/web"
        local superkey = (luci.http.getcookie("superkey"))
 	if superkey ~= nil then
       		page.sysauth_authenticator = "appauth"
	else
        	page.sysauth_authenticator = "htmlauth_web"
        end	
	page.index = true
	
	entry({"app"}, firstchild(), _(""), 700)
	entry({"app", "C51", "api"}, template("app/C51_api"), _("status"), 700 ,true)
	entry({"app", "C51", "home"}, template("app/C51"), _("status"), 700 ,true)
end
